#!/usr/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# 出力ファイルを設定します。
$outfile = "/home/user/animals_list.csv";

# 出力ファイルが既に存在する場合は削除します。
# ファイルの存在を調べ、存在した場合に削除しています。
if(-e $outfile){unlink $outfile;}

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

# SQL文を記述します。
# SELECT * INTO OUTFILEでデータを/home/user/animals_list.csvに出力します。
$sql = qq(
  SELECT * INTO OUTFILE '$outfile' 
  FIELDS TERMINATED BY ',' ENCLOSED BY '"'
  LINES TERMINATED BY '\r\n' FROM zoo
);

# SQL文を実行します
$dbh->do($sql);

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print "データの書き出しに成功しました。\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;