#!/usr/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# connectメソッドの第4パラメタに指定するオプション
# の値を設定して、自動エラー処理を無効にしています。
%attr = (
  PrintError => 0,
  RaiseError => 0
);

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect( $dsn, $db_user, $db_pass, \%attr );

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";

# 1もしくは2にあるSQL文をコメントアウトしながら、
# 試してみてください。

# 1. zoo_inテーブルにage_cカラムは存在するので、
# 処理は成功します。
$sql = "UPDATE zoo_in SET age_c = 15 WHERE animal_c = 'ライオン'";

# 2. zoo_inテーブルにbirth_cカラムはないので、
# 処理は失敗します。
# $sql = "UPDATE zoo_in SET birth_c = '2007-08-01' WHERE animal_c = 'ライオン'";

$ret = $dbh->do($sql);

if($ret ne ""){
  $dbh->do("COMMIT");
  print "データの更新に成功したため、コミットを行いました。\n";

}else{
  $dbh->do("ROLLBACK");
  print "データの更新に失敗したため、ロールバックを行いました。";

}

print "</body>\n";
print "</html>\n";

$dbh->disconnect;