#!/usr/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

# 10歳の動物の年齢を15歳に変更します。
$sql = "UPDATE zoo SET age_c=15 WHERE age_c = 10";

# SQL文を準備します。
$sth = $dbh->prepare($sql);

# SQL文を実行します。
$sth->execute();

# ステートメントハンドルメソッドrowsは
# 変更された行数を返します（SELECT文以外）。
# SELECT文の場合は全件を選択した場合のみ使用します。
$cnt = $sth->rows;

print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print "$cnt件のデータを変更しました。\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;