#!c:/perl/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

# SQL文を記述します。
# zoo_fk1、zoo_fk2テーブルのレコードを取り出します。
$sql1 = "SELECT * FROM zoo_fk1";
$sql2 = "SELECT * FROM zoo_fk2";

# 親テーブルのSQL文を準備します。
$sth = $dbh->prepare($sql1);

# SQL文を実行します。
$sth->execute();

# データの取り出しを行います。
print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print '親テーブル（zoo_fk1）のデータを表示します。' . "\n";
print "<table cellpadding=2 cellspacing=1 border=1>\n";
print "<tr>\n";
print "<td>ID</td>\n";
print "<td>動物名</td>\n";
print "</tr>\n";

# 親テーブルのデータを取り出します。
while(@rows = $sth->fetchrow_array){
  print "<tr>\n";
  foreach $val (@rows){
    print "<td>$val</td>\n";
  }
 print "</tr>\n";
}
print "</table><br>\n";

print '子テーブル（zoo_fk2）のデータを表示します。' . "\n";
print "<table cellpadding=2 cellspacing=1 border=1>\n";
print "<tr>\n";
print "<td>ID</td>\n";
print "<td>動物名詳細</td>\n";
print "</tr>\n";

# 子テーブルのSQL文を準備します。
$sth = $dbh->prepare($sql2);

# SQL文を実行します。
$sth->execute();

# 子テーブルのデータを取り出します。
while(@rows = $sth->fetchrow_array){
  print "<tr>\n";
  foreach $val (@rows){
    # データがNULLである場合、NULLという文字列を表示します。
    $val = 'NULL' unless (defined $val);
    print "<td>$val</td>\n";
  }
  print "</tr>\n";
}
print "</table>\n";

print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;