#!c:/perl/bin/perl

# DBIモジュールをロードします。
use DBI;

# データベースへの接続情報を設定します。
$db_user = "root";
$db_pass = "secret";
$db_name = "park";

# MySQLとの接続を行います。
$dsn = "DBI:mysql:$db_name";
$dbh = DBI->connect($dsn, $db_user, $db_pass);

# クライアントのキャラクタセットセットをUTF-8に変更します。
$dbh->do("SET NAMES utf8");

# 正規表現により、対象文字列に指定された文字が
# マッチする場合、1を返します。1もしくは2のSQL文
# をコメントアウトしながら、試してみてください。

# 1. 一致します。
$sql = 'SELECT animal_c, animal_c REGEXP "^panda.*$" FROM zoo_en';

# 2. 一致しません。
# $sql = 'SELECT animal_c, animal_c REGEXP "^panda.+$" FROM zoo_en';

# SQL文を準備します。
$sth = $dbh->prepare($sql);

# SQL文を実行します。
$sth->execute();

# データの取り出しを行います。
print "Content-Type:text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\">\n";
print "<title>Perlサンプルスクリプト</title>\n";
print "</head>\n";
print "<body bgcolor=#FFFFFF>\n";
print 'データを表示します。' . "\n";
print "<table cellpadding=2 cellspacing=1 border=1>\n";
print "<tr>\n";
print "<td>動物名</td>\n";
print "<td>マッチ成功</td>\n";
print "</tr>\n";

# ステートメントハンドルメソッドfetchrow_arrayは、
# 1行ずつ読み込みを行い、行データを配列で返します。
while(@rows = $sth->fetchrow_array){
  print "<tr>\n";
    foreach $val (@rows){
      print "<td>$val</td>\n";
    }
  print "</tr>\n";
}
print "</table>\n";
print "</body>\n";
print "</html>\n";

# データベースから切断します。
$dbh->disconnect;

exit;